HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostSubscriptionSchedulesScheduleCancel

Contains the different functions to run the operation postSubscriptionSchedulesScheduleCancel

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostSubscriptionSchedulesScheduleCancel.hs
valuepostSubscriptionSchedulesScheduleCancel
  1. :: MonadHTTP m
  2. => Text

    schedule | Constraints: Maximum length of 5000

  3. -> Maybe PostSubscriptionSchedulesScheduleCancelRequestBody

    The request body to send

  4. -> ClientT m (Response PostSubscriptionSchedulesScheduleCancelResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/subscription_schedules/{schedule}/cancel

<p>Cancels a subscription schedule and its associated subscription immediately (if the subscription schedule has an active subscription). A subscription schedule can only be canceled if its status is <code>not_started</code> or <code>active</code>.</p>

Defines the object schema located at paths./v1/subscription_schedules/{schedule}/cancel.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postSubscriptionSchedulesScheduleCancel.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostSubscriptionSchedulesScheduleCancelResponseError is used.

Instances2Eq, Show